syndication

GET /v1/syndication/runs/{runId}

One article's fan-out.

Tous les points de terminaison syndication

Authentification

Envoyez une clé d'API en tant que jeton du porteur (bearer token). Cet endpoint n'indique pas de permission spécifique dans la spécification, attribuez donc à votre clé le minimum requis et vérifiez la réponse plutôt que de faire des suppositions.

Cet endpoint ne prend aucun identifiant d'organisation. Votre clé identifie déjà l'organisation à laquelle elle appartient, et la réponse y est limitée.

Essayer

Remplacez tout ce qui se trouve entre crochets par vos propres valeurs, et le espace réservé à la clé par une clé de votre tableau de bord.

curl -X GET https://api.zinndigital.com/v1/syndication/runs/{runId} \
  -H "Authorization: Bearer zdk_live_…"

Connecté ? La console d'API de votre tableau de bord saisit votre véritable ID d'organisation ainsi que votre propre clé, et exécute la requête sur l'API de production afin que vous puissiez voir la réponse réelle. Ouvrir ce point de terminaison dans la console API

Détails

The run and one post per channel, each with its own status, what it dropped and why, and what it cost. Gated on `syndication.view`.

Paramètres

NomTypeObligatoireQu'est-ce que c'est
runId (path)stringOui

Réponse

NomTypeObligatoireQu'est-ce que c'est
idstringOui
placement_idstringOui
post_titlestringOui
article_urlstringOuiThe article's REAL live URL, read back from the destination when it published. ⛔ Never a composed URL — the permalink structure belongs to the customer.
statusstring<pending, holding, complete>Oui⛔ `complete` means every channel SETTLED, not that every channel succeeded.
postsSyndicationPost[]Oui
created_atstringOui

Erreurs que cet point de terminaison peut renvoyer

401 · 403 · 404